Skip to main content
GET
/
tasks
/
{taskId}
/
documents
/
{id}
Get a task document
curl --request GET \
  --url https://api.smokeball.com/tasks/{taskId}/documents/{id} \
  --header 'Authorization: <api-key>' \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.smokeball.com/tasks/{taskId}/documents/{id}"

headers = {
"x-api-key": "<api-key>",
"Authorization": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>', Authorization: '<api-key>'}};

fetch('https://api.smokeball.com/tasks/{taskId}/documents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "<string>",
  "href": "<string>",
  "relation": "<string>",
  "method": "GET",
  "self": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  },
  "task": {
    "id": "<string>",
    "href": "<string>",
    "relation": "<string>",
    "method": "GET"
  },
  "type": 0,
  "isDeleted": false,
  "document": "<unknown>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}
{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}

Authorizations

x-api-key
string
header
required
Authorization
string
header
required

Path Parameters

taskId
string<uuid>
required
id
string<uuid>
required

Response

When request is successful. Returns a 'Link' object.

Task document resource.

id
string | null
href
string | null
relation
string | null
method
string | null
default:GET
self
object | null
task
object | null

The associated task.

type
enum<integer>

The type of the document.

Possible values: File = 0, FormTemplate = 1, Memo = 2.

Available options:
0,
1,
2
Example:

0

isDeleted
boolean

True when the task document has been deleted.

Example:

false

document
any | null

Link to the the document.